]> git.ipfire.org Git - people/pmueller/ipfire-2.x.git/blobdiff - make.sh
NTFS-Treiber eingebaut fuer das Festplattenfeature von Silvio
[people/pmueller/ipfire-2.x.git] / make.sh
diff --git a/make.sh b/make.sh
index eed5af188e345bfbe5b70366df97fc9ac61f35bf..63ffa6edb9158032d96f6cb88763670495ecad75 100644 (file)
--- a/make.sh
+++ b/make.sh
@@ -33,7 +33,7 @@ KVER=`grep --max-count=1 VER lfs/linux | awk '{ print $3 }'`
 MACHINE=`uname -m`
 SVN_REVISION=`svn info | grep Revision | cut -c 11-`
 
-IPFVER="full"                          # Which version should be compiled? (full|light|voice)
+IPFVER="full devel"                            # Which versions should be compiled? (full|light|voice|devel)
 
 # Set an information about the build number
 if [ -e ./.svn ]; then
@@ -319,50 +319,32 @@ buildipfire() {
   ipfiremake dhcpcd
   ipfiremake libusb
   ipfiremake libpcap
-# Temporary disabled.
-#  ipfiremake linux-atm
+  ipfiremake linux-atm
   ipfiremake ppp
   ipfiremake rp-pppoe
   ipfiremake unzip
   ipfiremake linux                     SMP=1
   ipfiremake ipp2p                     SMP=1
-#  ipfiremake 3cp4218          PASS=SMP
-#  ipfiremake amedyn                   PASS=SMP
-#  ipfiremake cxacru                   PASS=SMP
-#  ipfiremake eagle                    PASS=SMP
-#  ipfiremake cnx_pci          PASS=SMP
-#  ipfiremake fcdsl                    PASS=SMP
-#  ipfiremake fcdsl2                   PASS=SMP
-#  ipfiremake fcdslsl          PASS=SMP
-#  ipfiremake fcdslusb         PASS=SMP
-#  ipfiremake fcdslslusb               PASS=SMP
-#  ipfiremake fcpci                    PASS=SMP
-#  ipfiremake fcclassic                PASS=SMP
-#  ipfiremake pulsar                   PASS=SMP
-#  ipfiremake unicorn          PASS=SMP
-#  ipfiremake promise-sata-300-tx      PASS=SMP
-  ipfiremake zaptel                    PASS=S
+  ipfiremake fcdsl                     SMP=1
+  ipfiremake fcdsl2                    SMP=1
+  ipfiremake fcdslsl                   SMP=1
+  ipfiremake fcdslusb          SMP=1
+  ipfiremake fcdslslusb                SMP=1
+  ipfiremake fcpci                     SMP=1
+#  ipfiremake promise-sata-300-tx      SMP=1
+  ipfiremake zaptel                    SMP=1
+  ipfiremake fuse                      SMP=1
   ipfiremake linux
   ipfiremake ipp2p
-#  ipfiremake 3cp4218
-#  ipfiremake amedyn
-#  ipfiremake cxacru
-#  ipfiremake eciadsl
-#  ipfiremake eagle
-#  ipfiremake speedtouch
-#  ipfiremake cnx_pci
-#  ipfiremake fcdsl
-#  ipfiremake fcdsl2
-#  ipfiremake fcdslsl
-#  ipfiremake fcdslusb
-#  ipfiremake fcdslslusb
-#  ipfiremake fcpci
-#  ipfiremake fcclassic
-#  ipfiremake pulsar
-#  ipfiremake unicorn
+  ipfiremake fcdsl
+  ipfiremake fcdsl2
+  ipfiremake fcdslsl
+  ipfiremake fcdslusb
+  ipfiremake fcdslslusb
+  ipfiremake fcpci
 #  ipfiremake promise-sata-300-tx
   ipfiremake zaptel
-#  ipfiremake pcmciautils
+  ipfiremake fuse
   ipfiremake expat
   ipfiremake gdbm
   ipfiremake gmp
@@ -389,11 +371,9 @@ buildipfire() {
   ipfiremake mysql
   ipfiremake cyrus-sasl
   ipfiremake openldap
-#  ipfiremake cyrus-sasl PASS=L # Doesn't work yet. Thereby there's the question: Do we really need this?
   ipfiremake apache2
   ipfiremake php
-  ipfiremake subversion
-  ipfiremake apache2 PASS=C
+  ipfiremake apache2                   PASS=C
   ipfiremake arping
   ipfiremake beep
   ipfiremake bind
@@ -402,6 +382,8 @@ buildipfire() {
   ipfiremake dnsmasq
   ipfiremake dosfstools
   ipfiremake reiserfsprogs
+  ipfiremake squashfstools
+  ipfiremake ntfs-3g
   ipfiremake ethtool
   ipfiremake ez-ipupdate
   ipfiremake fcron
@@ -411,24 +393,25 @@ buildipfire() {
   ipfiremake ibod
   ipfiremake initscripts
   ipfiremake iptables
+  ipfiremake libupnp
   ipfiremake ipp2p                     IPT=1
+  ipfiremake moblock
+  ipfiremake linux-igd
   ipfiremake ipac-ng
   ipfiremake ipaddr
   ipfiremake iptstate
   ipfiremake iputils
   ipfiremake l7-protocols
-#  ipfiremake isapnptools # ERROR :(
+  ipfiremake isapnptools
 #  ipfiremake isdn4k-utils # What about mISDN???
   ipfiremake kudzu
   ipfiremake logrotate
   ipfiremake logwatch
-  ipfiremake mingetty
   ipfiremake misc-progs
   ipfiremake mtools
   ipfiremake nano
   ipfiremake nash
   ipfiremake nasm
-### The Perl Modules have to be updated! I will skip this now!
   ipfiremake URI
   ipfiremake HTML-Tagset
   ipfiremake HTML-Parser
@@ -452,7 +435,6 @@ buildipfire() {
   ipfiremake Text-Tabs+Wrap
   ipfiremake Locale-Country
   ipfiremake GeoIP
-###
   ipfiremake fwhits
   ipfiremake noip_updater
   ipfiremake ntp
@@ -467,14 +449,13 @@ buildipfire() {
   ipfiremake squid
   ipfiremake squid-graph
   ipfiremake squidguard
-#  ipfiremake tcpdump
+  ipfiremake tcpdump
   ipfiremake traceroute
   ipfiremake vlan
   ipfiremake wireless
   ipfiremake libsafe
   ipfiremake 3c5x9setup
   ipfiremake pakfire
-  ipfiremake startscripts
   ipfiremake java
   ipfiremake bootsplash
   ipfiremake spandsp
@@ -570,16 +551,9 @@ buildinstaller() {
   installmake sysfsutils
   installmake util-linux
   installmake pciutils
-  installmake pcmciautils
   installmake kudzu
-#  installmake bootsplash
   installmake installer
-  installmake scsi.img # this is to be deleted
-  installmake driver.img       # this is to be deleted
   installmake initrd
-  installmake boot.img # this is to be deleted
-#  ipfiremake as86             # this is to be deleted
-#  ipfiremake mbr              # this is to be deleted
 }
 
 buildpackages() {
@@ -605,7 +579,16 @@ buildpackages() {
   beautify message DONE
 
   # Create images for install
-  ipfiremake cdrom
+  for i in $IPFVER
+  do
+       if [ $i == "devel" ]; then
+               if [ ! -f ipfire-$VER.i586-devel.iso ]; then
+                       ipfiremake cdrom ED=$i
+               fi
+       else
+               ipfiremake cdrom ED=$i
+       fi
+  done
   ipfiremake pxe
   cp -f $LFS/install/images/{*.iso,*.tgz} $BASEDIR >> $LOGFILE 2>&1
 
@@ -706,13 +689,11 @@ build)
        fi
 
        beautify build_start
-       beautify build_stage_start "Building base"
+       beautify build_stage "Building LFS"
        buildbase
-       beautify build_stage_end
 
-       beautify build_stage_start "Building IPFire"
+       beautify build_stage "Building IPFire"
        buildipfire
-       beautify build_stage_end
 
        # Setzen des IPFire Builds
        if [ "$FIREBUILD" ]; then
@@ -721,13 +702,11 @@ build)
                echo "_(OvO)_" > $BASEDIR/build/var/ipfire/firebuild
        fi
 
-       beautify build_stage_start "Building installer"
+       beautify build_stage "Building installer"
        buildinstaller
-       beautify build_stage_end
 
-       beautify build_stage_start "Building packages"
+       beautify build_stage "Building packages"
        buildpackages
-       beautify build_stage_end
        beautify build_end
        ;;
 shell)
@@ -738,10 +717,11 @@ shell)
        ;;
 changelog)
        echo -n "Loading new Changelog from SVN: "
-       svn log http://svn.ipfire.eu/svn/ipfire > doc/ChangeLog
-       echo "Finished!"
+       svn log http://svn.ipfire.org/svn/ipfire > doc/ChangeLog
+       beautify message DONE
        ;;
 clean)
+       echo -en "${BOLD}Cleaning build directory...${NORMAL}"
        for i in `mount | grep $BASEDIR | sed 's/^.*loop=\(.*\))/\1/'`; do
                $LOSETUP -d $i 2>/dev/null
        done
@@ -762,57 +742,7 @@ clean)
        if [ -h /tools ]; then
                rm -f /tools
        fi
-       ;;
-newpak)
-       # create structure for a new package
-       echo -e "Name of the new package: $2"
-       if [ ! -f "lfs/$2" ]; then
-               echo "`date -u '+%b %e %T'`: Creating directory src/paks/$2"
-               mkdir -p src/paks/$2
-               cd src/paks/$2
-               echo "`date -u '+%b %e %T'`: Creating files"
-               cp $BASEDIR/lfs/postfix $BASEDIR/lfs/$2
-
-               touch ROOTFILES
-               touch {,un}install.sh
-       ## install.sh
-               echo '#!/bin/bash' > install.sh
-               echo '#' >> install.sh
-               echo '#################################################################' >> install.sh
-               echo '#                                                               #' >> install.sh
-               echo '# This file belongs to IPFire Firewall - GPLv2 - www.ipfire.org #' >> install.sh
-               echo '#                                                               #' >> install.sh
-               echo '#################################################################' >> install.sh
-               echo '#' >> install.sh
-               echo '# Extract the files' >> install.sh
-               echo 'tar xfz files.tgz -C /' >> install.sh
-               echo 'cp -f ROOTFILES /opt/pakfire/installed/ROOTFILES.$2' >> install.sh
-       ## uninstall.sh
-               echo '#!/bin/bash' > uninstall.sh
-               echo '#################################################################' >> uninstall.sh
-               echo '#                                                               #' >> uninstall.sh
-               echo '# This file belongs to IPFire Firewall - GPLv2 - www.ipfire.org #' >> uninstall.sh
-               echo '#                                                               #' >> uninstall.sh
-               echo '#################################################################' >> uninstall.sh
-               echo '#' >> uninstall.sh
-               echo '# Delete the files' >> uninstall.sh
-               echo '## Befehl fehlt noch' >> uninstall.sh
-               echo 'rm -f /opt/pakfire/installed/ROOTFILES.$2' >> uninstall.sh
-               echo "`date -u '+%b %e %T'`: Adding files to SVN"
-               cd - && svn add lfs/$2 && svn add src/paks/$2
-
-               echo -n "Do you want to remove the folders? [y/n]"
-               read REM
-               if  [ "$REM" == "y" ]; then
-                       echo "Removing the folders..."
-                       svn del src/paks/$2 --force
-               else
-                       echo "Folders are kept."
-               fi
-       else
-               echo "$2 already exists"
-       fi
-       exit 0
+       beautify message DONE
        ;;
 downloadsrc)
        if [ ! -d $BASEDIR/cache ]; then
@@ -974,9 +904,9 @@ svn)
                        exit 0
                fi
                echo -en "REV $SVN_REVISION: Downloading..."
-               svn export http://svn.ipfire.eu/svn/ipfire/trunk ipfire-source/ --force > /dev/null
-               svn log http://svn.ipfire.eu/svn/ipfire/trunk -r 1:$SVN_REVISION > ipfire-source/Changelog
-               #svn info http://svn.ipfire.eu/svn/ipfire/trunk -r $SVN_REVISION > ipfire-source/svn_status
+               svn export http://svn.ipfire.org/svn/ipfire/trunk ipfire-source/ --force > /dev/null
+               svn log http://svn.ipfire.org/svn/ipfire/trunk -r 1:$SVN_REVISION > ipfire-source/Changelog
+               #svn info http://svn.ipfire.org/svn/ipfire/trunk -r $SVN_REVISION > ipfire-source/svn_status
                evaluate 1
 
                echo -en "REV $SVN_REVISION: Compressing files..."
@@ -1001,30 +931,19 @@ uploadsrc)
        PWD=`pwd`
        cd $BASEDIR/cache/
        echo -e "Uploading cache to ftp server:"
-       ncftpls -u $IPFIRE_FTP_USER_INT -p $IPFIRE_FTP_PASS_INT ftp://$IPFIRE_FTP_URL_INT$IPFIRE_FTP_PATH_INT/ > /var/tmp/ftplist
+       ncftpls -u $FTP_CACHE_USER -p $FTP_CACHE_PASS ftp://$FTP_CACHE_URL$FTP_CACHE_PATH/ > /tmp/ftplist
        for i in *; do
                if [ "$i" == "toolchains" ]; then continue; fi
-               grep -q $i /var/tmp/ftplist
+               grep -q $i /tmp/ftplist
                if [ "$?" -ne "0" ]; then
                        echo -ne "$i"
-                       ncftpput -bb -u $IPFIRE_FTP_USER_INT -p $IPFIRE_FTP_PASS_INT $IPFIRE_FTP_URL_INT $IPFIRE_FTP_PATH_INT/ $i >> $BASEDIR/log/_build.uploadsrc.log 2>&1
-                       if [ "$?" -eq "0" ]; then
-                               beautify message DONE
-                       else
+                       ncftpput -u $FTP_CACHE_USER -p $FTP_CACHE_PASS $FTP_CACHE_URL $FTP_CACHE_PATH/ $i
+                       if [ "$?" -ne "0" ]; then
                                beautify message FAIL
                        fi
                fi
        done
-       rm -f /var/tmp/ftplist
-       UL_TIME_START=`date +'%s'`
-       ncftpbatch -d > /dev/null 2>&1
-       while ps acx | grep -q ncftpbatch
-       do
-               UL_TIME=$(expr `date +'%s'` - $UL_TIME_START)
-               echo -ne "\r ${UL_TIME}s : Upload is running..."
-               sleep 1
-       done
-       beautify message DONE
+       rm -f /tmp/ftplist
        cd $PWD
        exit 0
        ;;
@@ -1040,10 +959,10 @@ EOF
                ncftp -u $IPFIRE_FTP_USER_EXT -p $IPFIRE_FTP_PASS_EXT $IPFIRE_FTP_URL_EXT < .ftp-commands
                rm -f .ftp-commands
                md5sum ipfire-install-$VERSION.i386.iso > ipfire-install-$VERSION.i386.iso.md5
-               ncftpput -u $IPFIRE_FTP_USER_EXT -p $IPFIRE_FTP_PASS_EXT $IPFIRE_FTP_URL_EXT $IPFIRE_FTP_PATH_EXT/ ipfire-install-$VERSION.i386.iso
-               ncftpput -u $IPFIRE_FTP_USER_EXT -p $IPFIRE_FTP_PASS_EXT $IPFIRE_FTP_URL_EXT $IPFIRE_FTP_PATH_EXT/ ipfire-install-$VERSION.i386.iso.md5
-               ncftpput -u $IPFIRE_FTP_USER_EXT -p $IPFIRE_FTP_PASS_EXT $IPFIRE_FTP_URL_EXT $IPFIRE_FTP_PATH_EXT/ ipfire-source-r$SVN_REVISION.tar.gz
-               ncftpput -u $IPFIRE_FTP_USER_EXT -p $IPFIRE_FTP_PASS_EXT $IPFIRE_FTP_URL_EXT $IPFIRE_FTP_PATH_EXT/ svn_status
+               ncftpput -u $FTP_ISO_USER -p $FTP_ISO_PASS $FTP_ISO_URL $FTP_ISO_PATH/ ipfire-install-$VERSION.i386.iso
+               ncftpput -u $FTP_ISO_USER -p $FTP_ISO_PASS $FTP_ISO_URL $FTP_ISO_PATH/ ipfire-install-$VERSION.i386.iso.md5
+               ncftpput -u $FTP_ISO_USER -p $FTP_ISO_PASS $FTP_ISO_URL $FTP_ISO_PATH/ ipfire-source-r$SVN_REVISION.tar.gz
+               ncftpput -u $FTP_ISO_USER -p $FTP_ISO_PASS $FTP_ISO_URL $FTP_ISO_PATH/ svn_status
                if [ "$?" -eq "0" ]; then
                        echo -e "The iso of Revision $SVN_REVISION was successfully uploaded to $IPFIRE_FTP_URL_EXT$IPFIRE_FTP_PATH_EXT/."
                else
@@ -1051,7 +970,7 @@ EOF
                        exit 1
                fi
                if [ "$3" = "--with-sources-cd" ]; then
-                       ncftpput -u $IPFIRE_FTP_USER_EXT -p $IPFIRE_FTP_PASS_EXT $IPFIRE_FTP_URL_EXT $IPFIRE_FTP_PATH_EXT/ ipfire-sources-cd-$VERSION.$MACHINE.iso
+                       ncftpput -u $FTP_ISO_USER -p $FTP_ISO_PASS $FTP_ISO_URL $FTP_ISO_PATH/ ipfire-sources-cd-$VERSION.$MACHINE.iso
                fi
                ;;
          paks)
@@ -1104,7 +1023,7 @@ pxe)
          stop)
                stop_tftpd
                ;;
-         reload)
+         reload|restart)
                reload_tftpd
                ;;              
        esac
@@ -1135,7 +1054,7 @@ pxe)
                $0 svn update
                ;;
        "Help")
-               echo "Usage: $0 {build|changelog|clean|gettoolchain|newpak|downloadsrc|shell|sync|toolchain}"
+               echo "Usage: $0 {build|changelog|clean|gettoolchain|downloadsrc|shell|sync|toolchain}"
                cat doc/make.sh-usage
                ;;
        "LOG: Tail")
@@ -1147,8 +1066,11 @@ pxe)
        esac
        done
        ;;
+config)
+       make_config
+       ;;
 *)
-       echo "Usage: $0 {build|changelog|clean|gettoolchain|newpak|downloadsrc|shell|sync|toolchain}"
+       echo "Usage: $0 {build|changelog|clean|gettoolchain|downloadsrc|shell|sync|toolchain}"
        cat doc/make.sh-usage
        ;;
 esac